%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	GNOME web browser based on the Mozilla rendering engine
Name:		epiphany
Version:	2.28.1
Release:	1
BuildArch:	i686
License:	GPLv2+ and GFDL+
Group:		Internet/Browser
URL:		http://www.gnome.org/projects/epiphany/
Source0:	http://download.gnome.org/sources/epiphany/2.26/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): scrollkeeper
Requires(post): desktop-file-utils
Requires(post): GConf
Requires(pre): GConf
Requires(preun): GConf
Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils
Requires: 	gnome-icon-theme
Requires: 	iso-codes

BuildRequires: 	glib-devel
BuildRequires: 	gtk2+-devel
#BuildRequires: 	firefox-devel
BuildRequires: 	scrollkeeper
BuildRequires: 	libxml2-devel, libxslt-devel
BuildRequires: 	libgnomeui-devel, libglade-devel
BuildRequires: 	gnome-vfs-devel, GConf-devel
BuildRequires: 	iso-codes-devel
BuildRequires: 	gnome-doc-utils which
BuildRequires: 	gnome-desktop-devel libproxy-devel sqlite-devel gir-repository-devel
BuildRequires: 	startup-notification-devel avahi-devel avahi-gobject gobject-introspection-devel
BuildRequires: 	gettext-devel webkitgtk-devel libsoup-devel gnutls-devel libtasn1-devel libgpg-error-devel libgcrypt-devel nss-devel

#BuildRequires: NetworkManager-devel

BuildRequires: python26-pygtk-devel python26-pygobject gnome-python-devel

# Patches
Patch0: epiphany-1.0.1-home-page.patch

%description
epiphany is a simple GNOME web browser based on the Mozilla rendering
engine.

%package	devel
Summary:	The files needed for developing extensions for the epiphany web browser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
epiphany is a web browser based on the Mozilla rendering engine.
This package allows you to develop extensions that work within epiphany.

Install epiphany-devel if you want to write extensions for epiphany.

%post
update-desktop-database -q %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/epiphany.schemas \
  %{_sysconfdir}/gconf/schemas/epiphany-fonts.schemas \
  %{_sysconfdir}/gconf/schemas/epiphany-pango.schemas \
  %{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas >& /dev/null || :
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrint
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrintInverse
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/LowContrastLargePrint
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/epiphany.schemas \
      %{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/epiphany.schemas \
      %{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas >& /dev/null || :
fi

%postun
update-desktop-database -q %{_datadir}/applications
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrint
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrintInverse
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/LowContrastLargePrint
fi

%prep
%setup -q
%patch0 -p1 -b .homepage

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done


%build
%configure \
--disable-scrollkeeper \
--enable-zeroconf \
--enable-python \
--disable-network-manager \
--disable-schemas-install --disable-introspection PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

# Remove the bookmarks editor menu item
rm -f $RPM_BUILD_ROOT%_applications/bme.desktop

# Don't ship .la files
rm -f $RPM_BUILD_ROOT%_libdir/epiphany/*/plugins/*.la

# Don't ship icon caches, either
rm -f $RPM_BUILD_ROOT%_datadir/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%_datadir/icons/HighContrastLargePrint/icon-theme.cache
rm -f $RPM_BUILD_ROOT%_datadir/icons/HighContrastLargePrintInverse/icon-theme.cache
rm -f $RPM_BUILD_ROOT%_datadir/icons/LowContrastLargePrint/icon-theme.cache

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING COPYING.README AUTHORS
%_sysconfdir/gconf/schemas
%_bindir
#%_libexecdir
%_applications
%_datadir/epiphany
%_mandir
%_datadir/omf
%_datadir/icons
%_datadir/dbus-1/services

%files devel
%defattr(-, root, root)
%_includedir
%_pkgconfig
%_aclocal
%_datadir/gtk-doc/html/epiphany
#%_datadir/pygtk/2.0/defs/epiphany.defs

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Mar 22 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.2-2
- rebuild, changed group
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Initial release
